﻿using Syncfusion.Data;
using Syncfusion.SfDataGrid.XForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Xamarin.Forms;

namespace GroupCaptionDemo
{
    public class App : Application
    {
        public App()
        {
            var dataGrid = new SfDataGrid();
            dataGrid.ItemsSource = new ViewModel().StudentsInfo;
            dataGrid.ColumnSizer = ColumnSizer.Star;
            dataGrid.GroupColumnDescriptions.Add(new GroupColumnDescription() { ColumnName = "Mark2" });
            GridSummaryRow summaryRow = new GridSummaryRow();
            summaryRow.Title = "Total Items:{CaptionSummary}";
            summaryRow.ShowSummaryInRow = true;
            summaryRow.SummaryColumns.Add(
                new GridSummaryColumn()
                {
                    Name = "CaptionSummary",
                    MappingName = "Mark2",
                    Format = "{Sum} ",
                    SummaryType = SummaryType.Int32Aggregate
                });
            dataGrid.CaptionSummaryRow = summaryRow;
            MainPage = new ContentPage() { Content = dataGrid };
        }

        protected override void OnStart()
        {
            // Handle when your app starts
        }

        protected override void OnSleep()
        {
            // Handle when your app sleeps
        }

        protected override void OnResume()
        {
            // Handle when your app resumes
        }
    }
}
